﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Windows.Forms;

namespace UIThreadTest
{
    internal class Program
    {
        static void Main(string[] args)
        {
            AppDomain.CurrentDomain.UnhandledException += CurrentDomain_UnhandledException;

            UiThreadTest ut = new UiThreadTest();

            //throw new Exception("Main() Exception");

            ut.StartUIThread();

            ut.Join(60*1000); 

            Console.WriteLine("Program Normal Exit");
        }

        private static void CurrentDomain_UnhandledException(object sender, UnhandledExceptionEventArgs e)
        {
            MessageBox.Show(e.ExceptionObject.ToString());
            Console.WriteLine("Program Abnormal Exit");
            Environment.Exit(-1);
        }
    }
}
